Tasuku
ReferenceAPI referenceDeep scans

List findings from a successful deep scan

GET/organizations/{organization_id}/deep-scans/{run_id}/findings

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
run_id*string
Length1 <= length <= 128

Query Parameters

cursor?string
page_size?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/deep-scans/string/findings"
{  "data": [    {      "advisory": {        "property1": null,        "property2": null      },      "advisory_id": "string",      "body": "string",      "category": "CORRECTNESS",      "confidence": 0,      "decided_at": "string",      "decision": "PENDING",      "end_line": 1,      "evidence": "string",      "id": "string",      "package_ecosystem": "string",      "package_name": "string",      "package_version": "string",      "path": "string",      "recommendation": "string",      "severity": "UNKNOWN",      "source": "AGENT",      "start_line": 1,      "title": "string"    }  ],  "meta": {    "next_cursor": "string",    "previous_cursor": "string"  }}